# libreschool-nfs #

[![Build Status](https://drone.libreschool.org/api/badges/LibreSchool/libreschool-nfs/status.svg)](https://drone.libreschool.org/LibreSchool/libreschool-nfs)

This package is meant for exporting the users homes via NFS.
The NFS should give better performances, compared to samba. Real world benchmarks will follow.
This package will install nfs-utils and configure the NFS exports, configure services and ports (for the firewall)

## Requirements ##

A working [LibreSchool][] installation is required.

## Notes ##

At the moment, if you run ```showmount -e [server ip]``` on the client, you end up with an error. That's because we're ditching NFSv2 and NFSv3 in favour of NFSv4 (this will give us Kerberos integration in future) and all unneeded ports are closed.

## TODO / ideas ##

- verify on a brand new install if after installation a new 'chkconfig {nfs,rpcbind} on' is needed
- force Domain Controller mode (db configuration getprop smb ServerRole == PDC)
- export shared folder also
- kerberos integration
- ACL on home directories
- multiple nfs-server support

## tested distros ##

- edubuntu 14.04: OK
- ubuntu 14:04: OK
- ubuntu 16:04: OK
- ubuntu 18:04: OK
- xubuntu 18:04: OK
- zorin 12: OK
- zorin 15: OK

## License ##

As the rest of the LibreSchool project, libreschool-nfs is licensed under [GPLv3][] license.

[LibreSchool]: https://libreschool.org "LibreSchool Project Homepage"
[NethServer]: https://www.nethserver.org
[GPLv3]: https://www.gnu.org/licenses/gpl-3.0.html
